Gridstate
ApiV1Generator operations

List EIA generator monthly operations

GET
/v1/generator-operations

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

plant_id?integer
Range1 <= value <= 2147483647
generator_id?string
period?string
Match^\d{4}-(0[1-9]|1[0-2])$
ba_code?string
state?string
cursor?string
limit?integer
Range1 <= value <= 500

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/generator-operations"
{  "data": [    {      "id": "string",      "eiaPlantId": 0,      "generatorId": "string",      "period": "2019-08-24",      "primeMoverCode": "string",      "netGenerationMwh": 0,      "balancingAuthorityCode": "string",      "state": "string",      "preliminary": true,      "evidence": {        "sourceId": "string",        "assetHash": "string",        "sourceLocator": "string",        "observedAt": "string"      },      "qualityFlags": [        {          "code": "string",          "severity": "info",          "field": "string",          "message": "string"        }      ]    }  ],  "meta": {    "hasMore": true,    "limit": 1,    "nextCursor": "string",    "order": "id_asc"  }}